// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - DATE.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>

const ZafEventType CHANGE_INPUT_FORMAT  = 10000;
const ZafEventType CHANGE_OUTPUT_FORMAT = 10001;

class FormatWindow : public ZafWindow
{
public:
	FormatWindow(ZafIChar *name);
	virtual ZafEventType Event(const ZafEventStruct &event);

private:
	ZafDate *editDate;
	ZafString *inputFormat, *outputFormat;

	static ZafEventType FormatDate(ZafWindowObject *object,
		ZafEventStruct &, ZafEventType ccode);
};


